### Method

# WebKit WebsiteDataManager remove

since: 2.16

#### Declaration [src]

    void
    webkit_website_data_manager_remove (
      WebKitWebsiteDataManager* manager,
      WebKitWebsiteDataTypes types,
      GList* website_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously removes the website data in the given `website_data` list.

Asynchronously removes the website data of the given `types` for websites in the given `website_data` list. Use `webkit_website_data_manager_clear()` if you want to remove the website data for all sites.

When the operation is finished, `callback` will be called. You can then call `webkit_website_data_manager_remove_finish()` to get the result of the operation.

Available since: 2.16

This method completes asynchronously. Use `webkit_website_data_manager_remove_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`types`

  Type: `WebKitWebsiteDataTypes`

  `WebKitWebsiteDataTypes`.

`website_data`

  Type: A list of `WebKitWebsiteData*`

  A `GList` of `WebKitWebsiteData`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.